EDIT - feature request #6692

Make name types changeable
06/05/2017 09:39 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

Taxon names do not use subclassing anymore but have a nameType now.
So it should be possible to change the name type (nomenclatural code) in TaxEditor on the fly.

Related issues:
Related to EDIT - feature request #6361: [MASTER] Merge all TaxonName classes... Closed

Related to EDIT - feature request #6693: Implement missing nomenclatural code... Closed

Associated revisions

Revision a4{df878 - 08/21/2017 02:27 PM - Katja Luther

ref #6692: make nomenclatural code editable

Revision fc9d508f - 08/21/2017 02:58 PM - Katja Luther

ref #6692: update content after change name type

History

#1 - 06/05/2017 05:06 PM - Andreas Miiller
- Tracker changed from bug to feature request

- Parent task deleted (#6361)

#2 - 06/05/2017 05:06 PM - Andreas Miiller
- Related to feature request #6361: [MASTER] Merge all TaxonName classes into 1 class added

#3 - 06/06/2017 11:40 AM - Patrick Plitzner

- Related to feature request #6693: Implement missing nomenclatural codes for name detail element added

#6 - 07/21/2017 12:34 PM - Katja Luther

- Target version changed from Release 4.8 to Release 4.10

#7 - 08/29/2017 02:19 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

please review

#8 - 09/20/2017 06:42 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

In future we may want to have not only code abbreviations but more human readable labels. Also we may want to order and even have a hierarchy
expressed.
However, this may need more discussion. So for now we can close this ticket.
